%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Bit-Vector

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Bit Vector Perl Module
Name:		perl-%{perlname}
Version:	6.4
Release:	2
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=Bit+Vector
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Carp-Clan

%description
Bit::Vector - Efficient bit vector, set of integers and "big int" math library

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST  
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 6.4-2
- Rebuild against perl 5.10.0
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.4-1
- Initial Build
